﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using WUG.Core.Services.DataEntities;

namespace WUG.Client.Shared.ViewModels.Entities
{
    public class SpeakerInfoViewModel
    {
        SpeakerInfo speaker;

        public SpeakerInfoViewModel(SpeakerInfo speaker)
        {
            this.speaker = speaker;
        }

        public string FullName
        {
            get { return speaker.FirstName + " " + speaker.LastName; }
        }

        public string Company
        {
            get { return speaker.Company; }
        }

        public string ThumbnailUri
        {
            get
            {
                PhotoInfo p = speaker.Photos.FirstOrDefault();
                if (p != null)
                {
                    return String.Format(p.DownloadThumbnailUrlPattern, p.Thumbnails.First(o => o.ThumbnailSizeName == "medium").ThumbnailID);
                }
                else return null; 
            }
        }
    }
}
