﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using WUG.Client.Shared.Models;
using WUG.Client.Shared.ViewModels.Entities;

namespace WUG.Client.Shared.ViewModels.Pages
{
    public class SpeakersPageViewModel : ViewModelBase
    {
        private ObservableCollection<SpeakerInfoViewModel> speakers;
        public ObservableCollection<SpeakerInfoViewModel> Speakers
        {
            get
            {
                return speakers;
            }
            set
            {
                if (speakers != value)
                {
                    speakers = value;
                    NotifyPropertyChanged();
                }
            }
        }

        ISpeakerProvider speakerProvider;

        public SpeakersPageViewModel(ISpeakerProvider speakerProvider)
        {
            this.speakerProvider = speakerProvider;
        }

        public async Task LoadData()
        {
            var loadedSpeakers = await speakerProvider.LoadSpeakersAsync();
            this.Speakers = new ObservableCollection<SpeakerInfoViewModel>(
                loadedSpeakers.Select(p => new SpeakerInfoViewModel(p)));
        }
    }
}
